Summary:	NetworkManager VPN integration for openswan
Summary(pl.UTF-8):	Integracja NetworkManagera z openswan
Name:		NetworkManager-openswan
Version:	1.0.6
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/NetworkManager-openswan/1.0/%{name}-%{version}.tar.xz
# Source0-md5:	df9144805f37dc30dfaeab8da762f615
Patch0:		%{name}-symlink.patch
URL:		http://projects.gnome.org/NetworkManager/
BuildRequires:	NetworkManager-devel >= 2:1.0.0
BuildRequires:	NetworkManager-gtk-lib-devel >= 1.0.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.32
BuildRequires:	gtk+3-devel >= 3.4.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libnl-devel >= 1:3.2.8
BuildRequires:	libsecret-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	NetworkManager >= 2:1.0.0
Requires:	NetworkManager-gtk-lib >= 1.0.0
Requires:	dbus-glib >= 0.74
Requires:	glib2 >= 1:2.32
Requires:	gtk+3 >= 3.4.0
Requires:	libnl >= 1:3.2.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetworkManager VPN integration for openswan.

%description -l pl.UTF-8
Integracja NetworkManagera z openswan.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-more-warnings \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/NetworkManager/*.la

%find_lang NetworkManager-openswan

%clean
rm -rf $RPM_BUILD_ROOT

%files -f NetworkManager-openswan.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/NetworkManager/libnm-openswan-properties.so
%attr(755,root,root) %{_libdir}/nm-libreswan-service-helper
%attr(755,root,root) %{_libdir}/nm-openswan-auth-dialog
%attr(755,root,root) %{_libdir}/nm-openswan-service
%attr(755,root,root) %{_libdir}/nm-openswan-service-helper
%{_sysconfdir}/NetworkManager/VPN/nm-openswan-service.name
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/nm-openswan-service.conf
%dir %{_datadir}/gnome-vpn-properties/openswan
%{_datadir}/gnome-vpn-properties/openswan/nm-openswan-dialog.ui
%{_desktopdir}/nm-openswan-auth-dialog.desktop
%changelog
* Sun Aug 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/NetworkManager-openswan.git;a=log;h=master

* Sun Aug 30 2015 Łukasz Kieś <kiesiu@pld-linux.org> 42e0838
- updated to 1.0.6

* Fri May 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 702c327
- updated to 1.0.2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c698ce1
- updated gettext BR

* Fri Dec 26 2014 Jakub Bogusz <qboosh@pld-linux.org> f796d3f
- versioned install time dependencies, epochs

* Sun Dec 21 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 8c7de52
- Update to 1.0.0

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 6c5c730
- updated to 0.9.8.4

* Thu Feb 21 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 895625c
- Update to 0.9.8.0

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> f5b6224
- updated to 0.9.6.0

* Fri Nov 11 2011 Marcin Banasiak <marcin.banasiak@gmail.com> c2b7e02
- updated to 0.9.2.0

* Tue Nov 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 770e22d
- new

